Foxit PDF SDK

Instance Methods | Class Methods | List of all members
FSLRElement Class Reference
Inheritance diagram for FSLRElement:

## Instance Methods
(FSLRElementElementType) | - getElementType
| Get element type. More...
(id) | - initWithOther:
| Constructor, with another base element object. More...
(BOOL) | - isContentElement
| Check whether current object is content element or not. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - isGraphicsObjectElement
| Check whether current object is graphics object element or not. More...
(BOOL) | - isStructureElement
| Check whether current object is structure element or not. More...
(NSString *) | - stringifyType
| Convert type (enum value) of current element to a short and memorable string (text) representation. More...

## Class Methods
(NSString *) | + stringifyElementType:
| Convert enum value of a specified element type to a short and memorable string (text) representation. More...

## Detailed Description

This class represents base layout recognition element.

## Method Documentation

## ◆ getElementType()

- (FSLRElementElementType) getElementType |  |  |

Get element type.

Returns
  Element type. Please refer to values starting from FSLRElementElementTypeDocument and this would be one of these values.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSLRElement*) | other |

Constructor, with another base element object.

Parameters

  [in] | other | Another base element object.

## ◆ isContentElement()

- (BOOL) isContentElement |  |  |

Check whether current object is content element or not.

Returns
  YES means current object is content element, while NO means current object is not content element.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ isGraphicsObjectElement()

- (BOOL) isGraphicsObjectElement |  |  |

Check whether current object is graphics object element or not.

Returns
  YES means current object is graphics object element, while NO means current object is not graphics object element.

## ◆ isStructureElement()

- (BOOL) isStructureElement |  |  |

Check whether current object is structure element or not.

Returns
  YES means current object is structure element, while NO means current object is not structure element,

## ◆ stringifyElementType:()

+ (NSString *) stringifyElementType: |  | (FSLRElementElementType) | type |

Convert enum value of a specified element type to a short and memorable string (text) representation.

Parameters

  [in] | type | A specified element type. Please refer to values starting from FSLRElementElementTypeDocument and this should be one of these values.

Returns
  A string that represents the short and memorable string representation for specified type. If there is no short and memorable string representation or input type is an invalid enum value, this function would return an empty string.

## ◆ stringifyType()

- (NSString *) stringifyType |  |  |

Convert type (enum value) of current element to a short and memorable string (text) representation.

Returns
  A short and memorable string that represents type of current element. If there is no short and memorable string, this function would return an empty string.